//
//  UIView+AddLine.m
//  MegaTableView
//
//  Created by CHENG POWEN on 13/3/18.
//  Copyright (c) 2013年 CHENG POWEN. All rights reserved.
//

#import "UIView+AddLine.h"

@implementation UIView (AddLine)

- (void)addBottomLineWithWidth:(CGFloat)width color:(UIColor *)color
{
    UIView *bottomLine = [[UIView alloc] initWithFrame:CGRectMake(0.0, self.frame.size.height-width, self.frame.size.width, width)];
    bottomLine.backgroundColor = color;
    bottomLine.autoresizingMask = UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleTopMargin;
    [self addSubview:bottomLine];
}

- (UIView *)addVerticalLineWithWidth:(CGFloat)width color:(UIColor *)color atX:(CGFloat)x
{
    UIView *vLine = [[UIView alloc] initWithFrame:CGRectMake(x-width, 0.0f, width, self.frame.size.height)];
    vLine.backgroundColor = color;
    vLine.autoresizingMask = UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleRightMargin;
    [self addSubview:vLine];
    return vLine;
}
@end
